#
# spec file for package gap-laguna
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-laguna
Summary:        GAP: Lie AlGebras and UNits of group Algebras
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        3.8.0
Release:        lp152.3.2
Url:            http://www.cs.st-andrews.ac.uk/~alexk/laguna.htm

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/laguna-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8
Requires:       gap-gapdoc >= 1.5.1
Suggests:       gap-sophus >= 1.2

%description
LAGUNA extends GAP functionality for computations in group rings.
Besides computing some general properties and attributes of group
rings and their elements, LAGUNA is able to perform two main kinds of
computations. Namely, it can verify whether a group algebra of a
finite group satisfies certain Lie properties; and it can calculate
the structure of the normalized unit group of a group algebra of a
finite p-group over the field of p elements.

%prep
%setup -qn laguna-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 3.8.0
  * Fixed a bug in PcPresentationOfNormalizedUnit that may cause
    NaturalBijectionToPcNormalizedUnitGroup returning wrong
    results for p>2
* Sat Sep  9 2017 jengelh@inai.de
- Update to new upstrem release 3.7.0
  * Fixed a bug in Augmentation returning an integer zero for
    zero element of a group ring, being calculated as the sum
    over an empty list. Now it will properly return the zero
    element of the underlying ring
  * Fixed a bug in PcPresentationOfNormalizedUnit that may cause
    NaturalBijectionToPcNormalizedUnitGroup returning wrong
    results for p>2.
* Thu Feb  6 2014 jengelh@inai.de
- Update to new upstream release 3.6.4
  * Fixed a bug that might lead to a break loop in AugmentationIdeal
  * Updated the test example for GAP 4.7 release replacing
  WreathProduct by StandardWreathProduct
* Fri May 10 2013 jengelh@inai.de
- Split laguna (version 3.6.3) off the gap RPM package
